package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaDisplayItemCategoryDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaDisplayItemCategory;
import com.loafle.overflow.service.central.meta.MetaDisplayItemCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */

@Service("MetaDisplayItemCategoryService")
public class CentralMetaDisplayItemCategoryService implements MetaDisplayItemCategoryService {

  @Autowired
  private MetaDisplayItemCategoryDAO metaDisplayItemCategoryDAO;

  @Override
  public List<MetaDisplayItemCategory> readAll() throws OverflowException {
    return this.metaDisplayItemCategoryDAO.findAll();
  }

  @Override
  public MetaDisplayItemCategory regist(MetaDisplayItemCategory metaDisplayItemCategory) throws OverflowException {
    return this.metaDisplayItemCategoryDAO.save(metaDisplayItemCategory);
  }

  @Override
  public List<MetaDisplayItemCategory> registAll(List<MetaDisplayItemCategory> metaDisplayItemCategories)
      throws OverflowException {
    return this.metaDisplayItemCategoryDAO.saveAll(metaDisplayItemCategories);
  }

}
